> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download document



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml get /api/engagements/card/{engagement-id}/invoices/documents/{document-id}
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/engagements/card/{engagement-id}/invoices/documents/{document-id}:
    get:
      tags:
        - Card
      summary: Download document
      operationId: Get Invoice document
      parameters:
        - name: engagement-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: document-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          headers:
            Content-Disposition:
              required: true
              schema:
                type: string
            Content-Type:
              required: true
              schema:
                type: string
          content:
            application/pdf:
              schema:
                type: string
                format: binary
        '400':
          description: >-
            Invalid value for: path parameter engagement-id, Invalid value for:
            path parameter document-id
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````